<?php

use Tygh\Registry;

if ($_SERVER['REQUEST_METHOD'] == 'POST')
{
	if ($mode == 'update')
	{
		$url = Registry::get('settings.redesk_connection_multivendor.general.redesk_url');
		$api_key = Registry::get('settings.redesk_connection_multivendor.general.api_key');

		if (empty($url) || empty($api_key))
			return false;

		if (!empty($_REQUEST['import_vendors']))
		{
			$vendors = fn_get_companies($_REQUEST, $auth, 500);

			if (!empty($vendors[1]['total_items']))
			{
				$companies = $vendors[0];

				$prepared_data = array ();

				foreach ($vendors[0] as $vendor) {
					$prepared_data['vendors'][] = array (
						'company_id' => $vendor['company_id'],
						'company'	 => $vendor['company'],
						'lang_code'	 => $vendor['lang_code'],
						'email'		 => $vendor['email'],
					);
				}
			}

			if (!empty($_REQUEST['create_accounts']))
				$prepared_data['create_accounts'] = 1;

			$prepared_data['vendors'] = json_encode($prepared_data['vendors']);
			$prepared_data['api_key'] = $api_key;

			$req = fn_redesk_multivendor_send_request($url . 'api/syncVendors', $prepared_data);
		}

		return array(CONTROLLER_STATUS_OK, "redesk_connection_multivendor.manage");
	}
}

if ($mode == 'manage')
{

}