<?php

use Tygh\Registry;

if ( !defined('AREA') ) { die('Access denied'); }

if ($mode == 'contact')
{
	if (!empty($_REQUEST['ticket']))
	{
		if (Registry::get('settings.Image_verification.use_for_re_desk') != 'Y' || fn_image_verification('use_for_re_desk', $_REQUEST))
		{
			$ticket = $_REQUEST['ticket'];
			fn_redesk_multivendor_create_ticket($ticket);

			return array(CONTROLLER_STATUS_OK, "redesk_connection_multivendor.contact?result=1");
		}
	}

	if (!empty($_REQUEST['order_id']))
	{
		$order_user_id = db_get_field('SELECT user_id FROM ?:orders WHERE order_id = ?i', $_REQUEST['order_id']);

		if (
			(empty($auth['user_id']) && !empty($_REQUEST['order_ids']) && in_array($_REQUEST['order_id'], $_REQUEST['order_ids']))
			||
			($auth['user_id'] == $order_user_id)
		)
		{
			$order_info = fn_get_order_info($_REQUEST['order_id']);

			if (!empty($order_info['company_id']))
			{
				$departments = fn_redesk_multivendor_connection_get_departments();

				foreach ($departments as $vendor)
				{
					if ($order_info['company_id'] == $vendor['company_id'])
					{
						Registry::get('view')->assign('selected_department', $vendor['id']);
						break;
					}
				}
			}

			Registry::get('view')->assign('order_info', $order_info);
		}
	}

	if (!empty($_REQUEST['vendor_id']))
	{
		$departments = fn_redesk_multivendor_connection_get_departments();

		if (!empty($departments))
		{
			foreach ($departments as $vendor)
			{
				if ($_REQUEST['vendor_id'] == $vendor['company_id'])
				{
					Registry::get('view')->assign('selected_department', $vendor['id']);
					break;
				}
			}
		}
	}

	if (!empty($_REQUEST['product_id']))
		Registry::get('view')->assign('product_data', fn_get_product_data($_REQUEST['product_id'], $_SESSION['auth']));

	if (!empty($_SESSION['auth']['user_id']))
		Registry::get('view')->assign('contact_user_info', fn_get_user_info($_SESSION['auth']['user_id']));

	fn_add_breadcrumb(fn_get_lang_var('re_desk_contact_us'));
	Registry::get('view')->assign('departments', fn_redesk_multivendor_connection_get_departments());
}